# require velocity-tools with struts support
%define with_velocity 1
Name:          tiles
Version:       2.2.2
Release:       %mkrel 1
Summary:       Apache Tiles
Group:         Development/Java
License:       ASL 2.0
Url:           http://tiles.apache.org/
Source0:       http://www.apache.org/dist/tiles/v2.2.2/tiles-2.2.2-src.tar.gz
Source1:       tiles-2.2.2-depmap
# remove shale-test and maven-taglib-plugin
# change javax.servlet.jsp in org.apache.tomcat
# change org.codehaus.mojo rat-maven-plugin in org.apache.rat apache-rat-plugin
# change org.codehaus.mojo jxr-maven-plugin in org.apache.maven.plugins maven-jxr-plugin
Patch0:        tiles-2.2.2-buildfixes.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: tiles-master

BuildRequires: ant
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-validator
BuildRequires: commons-chain
BuildRequires: dom4j
BuildRequires: easymock2
BuildRequires: easymock2-classextension
BuildRequires: freemarker
BuildRequires: glassfish-el
BuildRequires: junit4
BuildRequires: mvel2 >= 2.0.18-2

BuildRequires: dtddoc-maven-plugin
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
#BuildRequires: wagon-maven-plugin

# TODO
# testing
# org.apache.shale shale-test 1.0.5

BuildRequires: ognl
BuildRequires: portlet-2.0-api
BuildRequires: slf4j
BuildRequires: spring2-web
BuildRequires: spring2-webmvc
BuildRequires: spring2-webmvc-portlet
BuildRequires: sslext
BuildRequires: struts
BuildRequires: tomcat6
BuildRequires: tomcat6-el-2.1-api
BuildRequires: tomcat6-jsp-2.1-api
BuildRequires: tomcat6-lib
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: umlgraph
%if %with_velocity
BuildRequires: velocity-tools
%endif
BuildRequires: objenesis

Requires:      tiles-master

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Apache Tiles is a templating framework built to simplify the
development of web application user interfaces. Tiles allows
authors to define page fragments which can be assembled into
a complete page at runtime. These fragments, or tiles, can
be used as simple includes in order to reduce the duplication
of common page elements or embedded within other tiles to
develop a series of reusable templates. These templates
streamline the development of a consistent look and feel
across an entire application. Tiles grew in popularity as a
component of the popular Struts framework. It has since been
extracted from Struts and is now integrated with various
frameworks, such as Struts 2 and Shale. 

%package javadoc
Summary:       API documentation for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains API documentation for %{name}

%prep
%setup -q -n tiles-%{version}

%patch0 -p1

%if !%with_velocity
sed -i "s|<module>tiles-velocity</module>|<!--module>tiles-velocity</module-->|" src/pom.xml
sed -i "s|<module>tiles-extras</module>|<!--module>tiles-extras</module-->|" src/pom.xml
%endif
sed -i "s|<module>assembly</module>|<!--module>assembly</module-->|" src/pom.xml

%build
cd src
mvn-rpmbuild -e -Dmaven.test.skip=true -Dmaven.local.depmap.file=%{SOURCE1} install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 src/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom

mkdir -p %{buildroot}%{_javadir}/%{name}
for module in api compat core el freemarker jsp mvel ognl portlet \
%if %with_velocity
  velocity \
  extras \
%endif
portlet-wildcard servlet servlet-wildcard template; do
  install -pm 644 src/%{name}-${module}/target/%{name}-${module}-%{version}.jar \
        %{buildroot}%{_javadir}/%{name}/${module}.jar
  install -pm 644 src/%{name}-${module}/pom.xml \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-${module}.pom
%add_maven_depmap JPP.%{name}-${module}.pom %{name}/${module}.jar
done

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr src/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/api.jar
%{_javadir}/%{name}/compat.jar
%{_javadir}/%{name}/core.jar
%{_javadir}/%{name}/el.jar
%{_javadir}/%{name}/freemarker.jar
%{_javadir}/%{name}/jsp.jar
%{_javadir}/%{name}/mvel.jar
%{_javadir}/%{name}/ognl.jar
%{_javadir}/%{name}/portlet-wildcard.jar
%{_javadir}/%{name}/portlet.jar
%{_javadir}/%{name}/servlet.jar
%{_javadir}/%{name}/servlet-wildcard.jar
%{_javadir}/%{name}/template.jar
%if %with_velocity
%{_javadir}/%{name}/extras.jar
%{_javadir}/%{name}/velocity.jar
%endif
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Dec 06 2011 gil <gil> 2.2.2-1.mga2
+ Revision: 177419
- edit spec file
  install extra and velocity modules
- edit tiles depmap
- replace servlet25 with tomcat6-servlet-2.5-api
- enable velocity-tools
- added tomcat6 as BR
- added depmap file
- rebuilt added new libraries
- imported package tiles

